SHELL=/usr/bin/env bash
MAKEFLAGS += --no-print-directory
.DEFAULT_GOAL := help

PYTHON ?= $(shell which python3)
POETRY_ENV ?= $(shell poetry env info -p 2>/dev/null || echo "")

BASE_PATH?=$(shell cd "$(dirname "$1")"; pwd -P)

.EXPORT_ALL_VARIABLES:

PYTHON_PUBLISH_USERNAME?={{ nexus_username }}
PYTHON_PUBLISH_PASSWORD?={{ nexus_admin_password }}
PYTHON_PUBLISH_URL?={{ nexus_pypi_test_hosted_repository }}/
GITLAB_PROJECT_ID?=123456789
CI_PIPELINE_ID?=123456798
CI_PROJECT_ID?=123456789
CI_JOB_TOKEN?=123456789
DEFAULT_TEXT_EDITOR?=vi
HELM_BUILD_PUSH_SKIP=true
CAR_HELM_REPOSITORY_URL?={{ nexus_helm_test_hosted_repository }}
CAR_HELM_USERNAME?={{ nexus_username }}
CAR_HELM_PASSWORD?={{ nexus_admin_password }}
VERSION=0.0.1

-include .make/base.mk
-include .make/python.mk
-include .make/helm.mk
-include .make/apt.mk
